
Application: gvSIG desktop - gvSIG bugs #5117
"Missing pk attributes" despues de crear shape
10/22/2019 04:14 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.5.0-2925
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Creamos una capa de puntos nueva.
Iniciamos edicion
Añadimos puntos
Terminanos edicion.
Si tratamos de seleccionar un punto nos da error en consola de "Missing pk attriutes".

INFO 757684 [AWT-EventQueue-0] (AndamiEventQueue.java:62) - Error dispaching event
java.lang.RuntimeException: Missing pk attributes
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureReference.<init>(DefaultFeatureReference.java:99)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureReference.<init>(DefaultFeatureReference.java:78)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getReference(DefaultFeature.java:284)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.select(DefaultFeatureSelection.java:443)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.select(DefaultFeatureSelection.java:473)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureSelection.select(DefaultFeatureSelection.java:448)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.setSelection(DefaultFeatureStore.java:869)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.setSelection(DefaultFeatureStore.java:820)
        at org.gvsig.fmap.mapcontrol.tools.PointSelectionListener.point(PointSelectionListener.java:93)
        at org.gvsig.app.project.documents.view.toolListeners.PointSelectListener.point(PointSelectListener.java:58)
        at org.gvsig.fmap.mapcontrol.tools.Behavior.PointBehavior.mouseReleased(PointBehavior.java:94)
        at org.gvsig.fmap.mapcontrol.tools.CompoundBehavior.mouseReleased(CompoundBehavior.java:294)
        at org.gvsig.fmap.mapcontrol.MapControl$MapToolListener.mouseReleased(MapControl.java:1778)
        at java.awt.Component.processMouseEvent(Component.java:6533)
        at javax.swing.JComponent.processMouseEvent(JComponent.java:3324)
        at java.awt.Component.processEvent(Component.java:6298)
        at java.awt.Container.processEvent(Container.java:2236)
        at java.awt.Component.dispatchEventImpl(Component.java:4889)
        at java.awt.Container.dispatchEventImpl(Container.java:2294)
        at java.awt.Component.dispatchEvent(Component.java:4711)
        at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4888)
        at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4525)
        at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4466)
        at java.awt.Container.dispatchEventImpl(Container.java:2280)
        at java.awt.Window.dispatchEventImpl(Window.java:2746)
        at java.awt.Component.dispatchEvent(Component.java:4711)
        at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
        at java.awt.EventQueue.access$500(EventQueue.java:97)
        at java.awt.EventQueue$3.run(EventQueue.java:709)
        at java.awt.EventQueue$3.run(EventQueue.java:703)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:90)
        at java.awt.EventQueue$4.run(EventQueue.java:731)
        at java.awt.EventQueue$4.run(EventQueue.java:729)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
        at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
        at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
        at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
        at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Associated revisions
Revision 44495 - 10/22/2019 05:13 PM - Óscar Martínez

refs #5117 Establecer que el DBF Featuretype tiene OID

History
#1 - 10/22/2019 04:15 PM - Joaquín  del Cerro Murciano
- Target version set to 2.5.0-2925

#2 - 10/22/2019 08:10 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 10/25/2019 10:49 AM - Álvaro Anguix
- Status changed from Fixed to Closed

05/11/2024 2/2


